## LassoSamlp2AuthnRequest

LassoSamlp2AuthnRequest — <samlp2:AuthnRequest>

## Functions

LassoNode * | lasso_samlp2_authn_request_new ()

## Types and Values

struct | LassoSamlp2AuthnRequest

## Description

Figure 72. Schema fragment for samlp2:AuthnRequest

    <complexType name="AuthnRequestType">
      <complexContent>
        <extension base="samlp:RequestAbstractType">
          <sequence>
            <element ref="saml:Subject" minOccurs="0"/>
            <element ref="samlp:NameIDPolicy" minOccurs="0"/>
            <element ref="saml:Conditions" minOccurs="0"/>
            <element ref="samlp:RequestedAuthnContext" minOccurs="0"/>
            <element ref="samlp:Scoping" minOccurs="0"/>
          </sequence>
          <attribute name="ForceAuthn" type="boolean" use="optional"/>
          <attribute name="IsPassive" type="boolean" use="optional"/>
          <attribute name="ProtocolBinding" type="anyURI" use="optional"/>
          <attribute name="AssertionConsumerServiceIndex" type="unsignedShort" use="optional"/>
          <attribute name="AssertionConsumerServiceURL" type="anyURI" use="optional"/>
          <attribute name="AttributeConsumingServiceIndex" type="unsignedShort" use="optional"/>
          <attribute name="ProviderName" type="string" use="optional"/>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_authn_request_new ()

    LassoNode *
    lasso_samlp2_authn_request_new (void);

Creates a new LassoSamlp2AuthnRequest object.

#### Returns

a newly created LassoSamlp2AuthnRequest object

## Types and Values

### struct LassoSamlp2AuthnRequest

    struct LassoSamlp2AuthnRequest {
    	LassoSamlp2RequestAbstract parent;

    	/* elements */
    	LassoSaml2Subject *Subject;
    	LassoSamlp2NameIDPolicy *NameIDPolicy;
    	LassoSaml2Conditions *Conditions;
    	LassoSamlp2RequestedAuthnContext *RequestedAuthnContext;
    	LassoSamlp2Scoping *Scoping;
    	/* attributes */
    	gboolean ForceAuthn;
    	gboolean IsPassive;
    	char *ProtocolBinding;
    	int AssertionConsumerServiceIndex;
    	char *AssertionConsumerServiceURL;
    	int AttributeConsumingServiceIndex;
    	char *ProviderName;

    	/* This field is deprecated do not use it,
    	 * kept for ABI compatibility */
    };

`LassoSamlp2AuthnRequest` is deprecated and should not be used in newly-written code.